This repository has been archived by the owner. It is now read-only.

./bin/test upgrade failed #56

Closed
falood opened this Issue Aug 19, 2014 · 5 comments

Comments

4 participants
@falood

falood commented Aug 19, 2014

There's only test.boot in releases/0.0.2 dir but start.boot required.

ERROR: release_handler:check_install_release failed: {no_such_file, "/tmp/exrm/test/0.0.2/start.boot"}

PS. [ { :exrm, "~> 0.14.2" } ]

@bitwalker bitwalker added bug labels Aug 19, 2014

@bitwalker bitwalker self-assigned this Aug 19, 2014

@bitwalker bitwalker added this to the 1.0.0 milestone Aug 19, 2014

@hamiltop

This comment has been minimized.

hamiltop commented Aug 28, 2014

Curious, when was the last time it worked?

@bitwalker

This comment has been minimized.

Owner

bitwalker commented Aug 28, 2014

It may have been broken for several releases, as there are no tests for the upgrade functionality, only appup generation. The last time I tested upgrades was probably back in June I think.

@slogsdon

This comment has been minimized.

slogsdon commented Sep 4, 2014

@bitwalker Is it possible to create start.boot and anything else that may be missing manually until the 1.0.0 milestone is reached?

@bitwalker bitwalker closed this in da808cc Sep 12, 2014

@bitwalker

This comment has been minimized.

Owner

bitwalker commented Sep 12, 2014

This has been released in 0.14.7. Sorry for the delay!

@slogsdon

This comment has been minimized.

slogsdon commented Sep 12, 2014

👍 Thanks!

bcardarella added a commit to bcardarella/phoenix-guides that referenced this issue Dec 23, 2014

The upgrade command appears to be fixed
As of September 12 a fix was released: bitwalker/exrm#56
Sign up for free to subscribe to this conversation on GitHub. Already have an account? Sign in.